%define name    	napshare
%define version 	1.9.1
%define beta		beta2
%define shortbeta	b2
%define release		2.1plf

Summary:   	Fully featured Gnutella peer-2-peer server/client
Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
Source:    	%{name}-%{version}%{beta}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-root
License:   	GPL
Group:     	Networking/File transfer
URL:       	http://napshare.sourceforge.net
Buildrequires:	gtk+1.2-devel	

%description
Fully featured Gnutella peer-2-peer server/client.

Take a nap while it does the work! When finished, you will supply a list of
keywords and filters then it will download overnight, automatically.
Designed to share any type of file the user wishes to share.

This package is in PLF because it contains a P2P software.
%prep

%setup -n %{name}-%{version}%{shortbeta}

%build
%configure
%make

%install

rm -rf ${RPM_BUILD_ROOT}
%makeinstall

mkdir -p ${RPM_BUILD_ROOT}%{_menudir}

cat << EOF > ${RPM_BUILD_ROOT}%{_menudir}/%{name}
?package(%{name}): needs="x11" section="Internet/File transfer" title="NapShare" longtitle="%{summary}" command="%{name}"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,755)
%doc AUTHORS COPYING ChangeLog README INSTALL
%{_bindir}/napshare
%{_menudir}/%{name}

%changelog
* Mon Apr 26 2004 Guillaume Bedot <littletux@zarb.org> 1.9.1-2.1plf
- latest beta (26/01/2004)

* Thu Apr 01 2004 Michael Scherer <scherer.michael@free.fr> 1.0-3plf
- Build release
- remove some rpmlint warning, to keep statistics low

 
* Sat Mar 09 2002 Yves Duret <yduret@mandrakesoft.com> 1.0-2plf
- buildrequires on libgtk+1.2-devel
- %%setup -q

* Thu Mar 07 2002 Marcel Pol <mpol@gmx.net> 1.0-1plf
- version 1.0
- PLF build

* Fri Nov 23 2001 Max Heijndijk <cchq@wanadoo.nl> 0.1-1
- Initial build.
